layers(4).
width(0,10).
in_layer(0,n1).
in_layer(0,n2).
in_layer(0,n3).
in_layer(0,n4).
in_layer(0,n5).
in_layer(0,n6).
in_layer(0,n7).
in_layer(0,n8).
in_layer(0,n9).
in_layer(0,n10).
width(1,10).
in_layer(1,n11).
in_layer(1,n12).
in_layer(1,n13).
in_layer(1,n14).
in_layer(1,n15).
in_layer(1,n16).
in_layer(1,n17).
in_layer(1,n18).
in_layer(1,n19).
in_layer(1,n20).
width(2,10).
in_layer(2,n21).
in_layer(2,n22).
in_layer(2,n23).
in_layer(2,n24).
in_layer(2,n25).
in_layer(2,n26).
in_layer(2,n27).
in_layer(2,n28).
in_layer(2,n29).
in_layer(2,n30).
width(3,10).
in_layer(3,n31).
in_layer(3,n32).
in_layer(3,n33).
in_layer(3,n34).
in_layer(3,n35).
in_layer(3,n36).
in_layer(3,n37).
in_layer(3,n38).
in_layer(3,n39).
in_layer(3,n40).
edge(n30,n34).
edge(n22,n32).
edge(n25,n38).
edge(n4,n17).
edge(n23,n32).
edge(n4,n12).
edge(n23,n33).
edge(n1,n12).
edge(n9,n16).
edge(n19,n27).
edge(n25,n33).
edge(n15,n22).
edge(n19,n29).
edge(n17,n22).
edge(n20,n21).
edge(n1,n16).
edge(n13,n30).
edge(n12,n22).
edge(n29,n37).
edge(n26,n32).
edge(n9,n11).
edge(n7,n20).
edge(n19,n26).
edge(n13,n27).
edge(n4,n14).
edge(n16,n21).
edge(n9,n20).
edge(n29,n40).
edge(n8,n13).
edge(n26,n35).
edge(n30,n40).
edge(n25,n31).
edge(n17,n29).
edge(n7,n16).
edge(n19,n21).
edge(n20,n27).
edge(n10,n20).
edge(n13,n21).
edge(n12,n21).
edge(n14,n26).
edge(n14,n25).
edge(n22,n34).
edge(n18,n24).
edge(n1,n18).
edge(n23,n35).
edge(n28,n40).
edge(n25,n40).
edge(n17,n23).
edge(n5,n13).
edge(n30,n39).
edge(n25,n36).
edge(n20,n29).
edge(n21,n37).
edge(n4,n16).
edge(n2,n13).
edge(n28,n33).
edge(n10,n18).
edge(n29,n36).
edge(n8,n15).
edge(n16,n26).
